Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::IDenoiseSettings Class Reference

`#include <Settings.h>`

Inheritance diagram for Argus::IDenoiseSettings:

List of all members.

## Public Member Functions

virtual Status | setDenoiseMode (const DenoiseMode &mode)=0
| Sets the denoise (noise reduction) mode for the request.
virtual DenoiseMode | getDenoiseMode () const =0
| Returns the denoise mode for the request.
virtual Status | setDenoiseStrength (float strength)=0
| Sets the strength for the denoise operation.
virtual float | getDenoiseStrength () const =0
| Returns the denoise strength.

## Static Public Member Functions

static const InterfaceID & | id ()

## Protected Member Functions

| ~IDenoiseSettings ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

- Exposed by Request objects.

An interface to control denoise (noise reduction) algorithms.

Definition at line 457 of file Settings.h.

## Constructor & Destructor Documentation

Argus::IDenoiseSettings::~IDenoiseSettings | ( |  | ) |

inlineprotected

Definition at line 496 of file Settings.h.

## Member Function Documentation

virtual DenoiseMode Argus::IDenoiseSettings::getDenoiseMode | ( |  | ) | const

pure virtual

Returns the denoise mode for the request.

virtual float Argus::IDenoiseSettings::getDenoiseStrength | ( |  | ) | const

pure virtual

Returns the denoise strength.

static const InterfaceID& Argus::IDenoiseSettings::id | ( |  | ) |

inlinestatic

Definition at line 460 of file Settings.h.

virtual Status Argus::IDenoiseSettings::setDenoiseMode | ( | const DenoiseMode & | mode | ) |

pure virtual

Sets the denoise (noise reduction) mode for the request.

Parameters:

  [in] | mode | The denoise mode: OFF: Denoise algorithms are disabled. FAST: Noise reduction will be enabled, but it will not slow down the capture rate. HIGH_QUALITY: Maximum noise reduction will be enabled to achieve the highest quality, but may slow down the capture rate.

Returns:
  success/status of the call.

virtual Status Argus::IDenoiseSettings::setDenoiseStrength | ( | float | strength | ) |

pure virtual

Sets the strength for the denoise operation.

Parameters:

  [in] | strength | The denoise strength. This must be within the range [0.0, 1.0], where 0.0 is the least and 1.0 is the most amount of noise reduction that can be applied. This denoise strength is relative to the current noise reduction mode; using a FAST denoise mode with a full strength of 1.0 may not perform as well as using a HIGH_QUALITY mode with a lower relative strength.

Returns:
  success/status of the call.

The documentation for this class was generated from the following file:

- include/Argus/Settings.h